continuation_token is returned, pass it back on the next request to fetch the next page. When the token is absent from the response, you have reached the end.
Permission required:
project:doc_readDocumentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws-a1b2c3d4e5f6/projects/proj-7g8h9i0j1k2l/memories/documents?page_size=20' \
-H 'Authorization: Bearer sk_xxxxxx'
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws-a1b2c3d4e5f6/projects/proj-7g8h9i0j1k2l/memories/documents?page_size=20&continuation_token=eyJsYXN0SWQiOiJkb2MtOW4wbTFsMms' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"data": {
"items": [
{
"id": "doc-3451335835b6cda07544335dc13e6183",
"name": "quarterly-report.pdf",
"status": "okay",
"error": null,
"usage": {
"files_process_tokens": 15230
},
"document_type": "drive_file",
"created_at": "2025-03-10T14:22:00Z"
},
{
"id": "doc-06f59fb06590915cc2df05ce4e8b70e1",
"name": "product-spec.docx",
"status": "running",
"error": null,
"usage": {
"files_process_tokens": 0
},
"document_type": "drive_file",
"created_at": "2025-03-11T09:15:00Z"
}
],
"continuation_token": "eyJsYXN0SWQiOiJkb2MtOW4wbTFsMms"
}
}
List documents in a project with cursor pagination
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws-a1b2c3d4e5f6/projects/proj-7g8h9i0j1k2l/memories/documents?page_size=20' \
-H 'Authorization: Bearer sk_xxxxxx'
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws-a1b2c3d4e5f6/projects/proj-7g8h9i0j1k2l/memories/documents?page_size=20&continuation_token=eyJsYXN0SWQiOiJkb2MtOW4wbTFsMms' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"data": {
"items": [
{
"id": "doc-3451335835b6cda07544335dc13e6183",
"name": "quarterly-report.pdf",
"status": "okay",
"error": null,
"usage": {
"files_process_tokens": 15230
},
"document_type": "drive_file",
"created_at": "2025-03-10T14:22:00Z"
},
{
"id": "doc-06f59fb06590915cc2df05ce4e8b70e1",
"name": "product-spec.docx",
"status": "running",
"error": null,
"usage": {
"files_process_tokens": 0
},
"document_type": "drive_file",
"created_at": "2025-03-11T09:15:00Z"
}
],
"continuation_token": "eyJsYXN0SWQiOiJkb2MtOW4wbTFsMms"
}
}
GET /openapi/memorylake/api/v3/workspaces/{workspaceId}/projects/{projectId}/memories/documents
continuation_token is returned, pass it back on the next request to fetch the next page. When the token is absent from the response, you have reached the end.
project:doc_readcurl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws-a1b2c3d4e5f6/projects/proj-7g8h9i0j1k2l/memories/documents?page_size=20' \
-H 'Authorization: Bearer sk_xxxxxx'
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces/ws-a1b2c3d4e5f6/projects/proj-7g8h9i0j1k2l/memories/documents?page_size=20&continuation_token=eyJsYXN0SWQiOiJkb2MtOW4wbTFsMms' \
-H 'Authorization: Bearer sk_xxxxxx'
Show Paginated document list
Show ProjectDocumentItem
{
"success": true,
"data": {
"items": [
{
"id": "doc-3451335835b6cda07544335dc13e6183",
"name": "quarterly-report.pdf",
"status": "okay",
"error": null,
"usage": {
"files_process_tokens": 15230
},
"document_type": "drive_file",
"created_at": "2025-03-10T14:22:00Z"
},
{
"id": "doc-06f59fb06590915cc2df05ce4e8b70e1",
"name": "product-spec.docx",
"status": "running",
"error": null,
"usage": {
"files_process_tokens": 0
},
"document_type": "drive_file",
"created_at": "2025-03-11T09:15:00Z"
}
],
"continuation_token": "eyJsYXN0SWQiOiJkb2MtOW4wbTFsMms"
}
}